javax.visrec.ml.classification

## Class EnsambleClassifier<T,R>

- java.lang.Object
- - javax.visrec.ml.classification.EnsambleClassifier<T,R>

Type Parameters:
  `T` - The input type which is to be classified.
  `R` - Return type of the classifier.

All Implemented Interfaces:
  Classifier<T,R>

    public final class EnsambleClassifier<T,R>
    extends Object
    implements Classifier<T,R>

EnsambleClassifier is a group of classifiers that provide common classification result, which gives better accuracy then each individual classifier. Usually average or most frequent answer is used as a final result.

Since:
  1.0
Author:
  Zoran Sevarac

### Constructor Summary

Constructors
Constructor and Description
`EnsambleClassifier()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addClassifier(String classifierId, Classifier<T,R> classifier)`
`Map<R,Float>` `classify(T input)` Classifies specified instance and returns classification results as map with class names and corresponding classification scores.
`Classifier` `getClassifier(String classiferId)`
`void` `remove(String classifierId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnsambleClassifier

    public EnsambleClassifier()

### Method Detail

#### classify

    public Map<R,Float> classify(T input)

Description copied from interface: `Classifier`
Classifies specified instance and returns classification results as map with class names and corresponding classification scores.

Specified by:
  `classify` in interface `Classifier<T,R>`
Parameters:
  `input` - some instance to classify
Returns:
  classification results for the specified instance

#### addClassifier

    public void addClassifier(String classifierId,
                              Classifier<T,R> classifier)

#### getClassifier

    public Classifier getClassifier(String classiferId)

#### remove

    public void remove(String classifierId)